%global lbuildir %{_builddir}/%{name}-%{version}/%{name}-%{version}.linux-amd64

%global debug_package %{nil}

Name:           prometheus
Version:        2.4.2
Release:        1%{?dist}
Summary:        Prometheus is an open-source systems monitoring and alerting toolkit.

License:        ASL 1.0
URL:            https://prometheus.io/

Source0:        https://github.com/prometheus/%{name}/releases/download/v%{version}/%{name}-%{version}.linux-amd64.tar.gz
Source1:        %{name}.service

%{?systemd_requires}
BuildRequires: systemd

%description
Prometheus is a systems and service monitoring system. It collects metrics from
configured targets at given intervals, evaluates rule expressions, displays the
results, and can trigger alerts if some condition is observed to be true.

%prep
%setup -c -q

%build

%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
  useradd -r -g %{name} -d /var/lib/%{name} -s /sbin/nologin \
  -c "Prometheus Server" %{name}
exit 0

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}/%{_sbindir}
%{__install} -p %{lbuildir}/%{name} %{buildroot}/%{_sbindir}/
%{__install} -p %{lbuildir}/promtool %{buildroot}/%{_sbindir}/

%{__install} -p -D %{SOURCE1} %{buildroot}/%{_unitdir}/%{name}.service
%{__install} -p -D %{lbuildir}/%{name}.yml %{buildroot}/%{_sysconfdir}/%{name}/%{name}.yml

%{__mkdir_p} %{buildroot}/%{_usr}/share/%{name}/consoles
%{__install} -p %{lbuildir}/consoles/* %{buildroot}/%{_usr}/share/%{name}/consoles

%{__mkdir_p} %{buildroot}/%{_usr}/share/%{name}/console_libraries
%{__install} -p %{lbuildir}/console_libraries/* %{buildroot}/%{_usr}/share/%{name}/console_libraries

%{__install} -p -D %{lbuildir}/{LICENSE,NOTICE} %{buildroot}/%{_usr}/share/%{name}

%{__mkdir_p} %{buildroot}/%{_sysconfdir}/sysconfig
%{__cat} <<EOF > %{buildroot}/%{_sysconfdir}/sysconfig/%{name}
OPTIONS='--config.file=%{_sysconfdir}/%{name}/%{name}.yml --storage.tsdb.path=%{_sharedstatedir}/%{name}/data'
EOF

%{__mkdir_p} %{buildroot}/%{_sharedstatedir}/%{name}

%files
%defattr(644,%{name},%{name},755)

%attr(755,-,-) /usr/sbin/%{name}
%attr(755,-,-) /usr/sbin/promtool

%{_usr}/share/%{name}/NOTICE

%config %{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.yml
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%license %{_usr}/share/%{name}/LICENSE
%dir %{_sharedstatedir}/%{name}

%doc %{_usr}/share/%{name}/consoles/*
%{_usr}/share/%{name}/console_libraries/*

%changelog
* Wed Oct 17 2018 Disk Stats <diskstats@gmail.com> - 2.4.2-1
- rebuilt

